Bug 122510 - slurpd crash (random stuff)
slurpd crash (random stuff)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-05 07:40 EDT by Terje Røsten
Modified: 2015-01-07 19:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2004-05-05 07:40:59 EDT
Description of problem:

The slurp daemon crash after a few seconds.

When started from the command line with debugging I get this:

$ strace slurpd  -d 256

[snip]

access("/var/lib/ldap/replica/slurpd.status", W_OK) = 0
mmap(NULL, 2097152, PROT_READ|PROT_WRITE|PROT_EXEC,
MAP_PRIVATE|MAP_ANONYMOUS|0x40, -1, 0) = 0x40000000
mprotect(0x40000000, 4096, PROT_NONE)   = 0
clone(child_stack=0x401ff8b0,
flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID|CLONE_DETACHED,
parent_tidptr=0x401ffa00, tls=0x401ff970, child_tidptr=0x401ffa00) = 14688
mmap(NULL, 2097152, PROT_READ|PROT_WRITE|PROT_EXEC,
MAP_PRIVATE|MAP_ANONYMOUS|0x40, -1, 0) = 0x40200000
mprotect(0x40200000, 4096, PROT_NONE)   = 0
clone(child_stack=0x403ff8b0,
flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID|CLONE_DETACHED,
parent_tidptr=0x403ffa00, tls=0x403ff970, child_tidptr=0x403ffa00) = 14689
futex(0x401ffa00, FUTEX_WAIT, 14688, NULL) = -1 EINTR (Interrupted
system call)
+++ killed by SIGSEGV +++


This is on a Opteron box.
Linux anne.phys.ntnu.no 2.4.21-9.0.3.ELsmp #1 SMP Tue Apr 20 19:44:29
EDT 2004 x86_64 x86_64 x86_64 GNU/Linux


If I try with one-shot method things work:

$ slurpd -o -r /var/lib/ldap/master-slapd.replog



Version-Release number of selected component (if applicable):
openldap-servers-2.0.27-11
Comment 1 RHEL Product and Program Management 2007-10-19 15:26:40 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.